package enhnacedSwitch;

public class EnhancedSwitchDemo {
    public static void main(String[] args) {
        String day = "MONDAY";

        // 1. Arrow Syntax
        switch (day) {
            case "MONDAY" -> System.out.println("Start of the work week!");
            case "FRIDAY" -> System.out.println("Weekend is near!");
            default -> System.out.println("It's just another day.");
        }

        // 2. Multiple Labels Per Case
        switch (day) {
            case "MONDAY", "TUESDAY" -> System.out.println("Early week vibes!");
            case "WEDNESDAY", "THURSDAY" -> System.out.println("Midweek grind!");
            case "FRIDAY", "SATURDAY", "SUNDAY" -> System.out.println("Weekend fun!");
            default -> System.out.println("Invalid day.");
        }

        // 3. Expression Support
        String mood = switch (day) {
            case "MONDAY" -> "Motivated";
            case "FRIDAY" -> "Excited";
            case "SATURDAY", "SUNDAY" -> "Relaxed";
            default -> "Neutral";
        };
        System.out.println("Today's mood: " + mood);

        // 4. Multi-Statement Cases
        switch (day) {
            case "MONDAY" -> {
                System.out.println("Prepare for meetings.");
                System.out.println("Plan the week ahead.");
            }
            case "FRIDAY" -> {
                System.out.println("Review progress.");
                System.out.println("Prepare for the weekend.");
            }
            default -> {
                System.out.println("Carry on with your tasks.");
                System.out.println("Stay productive!");
            }
        }
    }
}
