package enumExamples;

enum Day {
    MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY;
}

public class EnumExample1 {
    public static void main(String[] args) {
        // Print all enum constants
        System.out.println("Days of the week:");
        for (Day day : Day.values()) {
            System.out.println(day + " (Ordinal: " + day.ordinal() + ")");
        }

        // Using an enum in a switch statement
        Day today = Day.WEDNESDAY;
        System.out.println("\nToday is: " + today);

        //switch expression or enhanced switch statement
        switch (today) {
            case MONDAY -> System.out.println("Start of the work week!");  //note -> and no need for break
            case FRIDAY -> System.out.println("Almost the weekend!");
            case SUNDAY -> System.out.println("Time to relax!");
            default -> System.out.println("Keep pushing through the week!");
        }
    }
}

//Note old Switch Syntax prior to Java 14

/*switch (today) {
	case MONDAY:
		System.out.println("Start of the work week!");
    break;
	case FRIDAY:
		System.out.println("Almost the weekend!");
    break;
	default:
		System.out.println("Keep pushing through the week!");
    break;
}*/