package enumExamples;

enum Priority {
    HIGH(3), MEDIUM(2), LOW(1);

    private final int level;
 

    // Constructor
    Priority(int level) {   //private
        this.level = level;
    }

    // Getter method
    public int getLevel() {
        return level;
    }

    // Custom method
    public String getDescription() {
        switch (this) {
            case HIGH -> {
                return "High urgency - Act immediately!";
            }
            case MEDIUM -> {
                return "Medium urgency - Act soon.";
            }
            case LOW -> {
                return "Low urgency - Can wait.";
            }
            default -> {
                return "Unknown priority.";
            }
        }
    }
}

public class EnumExample2 {
    public static void main(String[] args) {
        // Loop through priorities
        System.out.println("Priority levels:");
        for (Priority priority : Priority.values()) {
            System.out.println(priority + ": Level " + priority.getLevel() + " - " + priority.getDescription());
        }

        // Example of using an enum constant
        Priority myPriority = Priority.HIGH;
        System.out.println("\nMy priority is: " + myPriority);
        System.out.println("Priority description: " + myPriority.getDescription());
    }
}
